Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class DNode

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.item.Item
              org.basex.query.xquery.item.Node
                  org.basex.query.xquery.item.DNode

    public final class DNode

extends Node

Disk-based Node item.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`Data` | `data` Data reference.
`int` | `pre` Pre value.
`Node` | `root` Root node (constructor).

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`DNode(Data d, int p, Node r, Type t)` Constructor.

Method Summary
`NodeIter` | `anc()` Returns an ancestor axis iterator.
`NodeIter` | `ancOrSelf()` Returns an ancestor-or-self axis iterator.
`NodeIter` | `attr()` Returns an attribute axis iterator.
`byte[]` | `base()` Returns the database name.
`NodeMore` | `child()` Returns a child axis iterator.
`DNode` | `copy()` Creates a new copy (clone) of the node.
`NodeIter` | `desc()` Returns a descendant axis iterator.
`NodeIter` | `descOrSelf()` Returns a descendant-or-self axis iterator.
`int` | `diff(Node nod)` Compares two nodes for their unique order.
`DNode` | `finish()` Returns a final node representation.
`NodeIter` | `foll()` Returns a following axis iterator.
`NodeIter` | `follSibl()` Returns a following-sibling axis iterator.
`boolean` | `is(Node nod)` Compares two nodes for equality.
`byte[]` | `name()` Returns the node name.
`NodeIter` | `par()` Returns a parent axis iterator.
`Node` | `parent()` Returns the parent node.
`void` | `parent(Node p)` Sets the parent node.
`NodeIter` | `prec()` Returns a preceding axis iterator.
`NodeIter` | `precSibl()` Returns a preceding-sibling axis iterator.
`QNm` | `qname()` Returns the node name.
`NodeIter` | `self()` Returns an self axis iterator.
`void` | `serElem(PrintOutput out, XQContext ctx, int pos, int level)` Serializes the specified node, starting from the specified pre value.
`void` | `serElem(ResultReader rr, XQContext ctx, int pos, int level)` Serializes the specified node, starting from the specified pre value.
`void` | `serialize(PrintOutput out, XQContext ctx, int level)` Serializes the item.
`void` | `serialize(ResultReader rr, XQContext ctx, int level)` Serializes the item.
`byte[]` | `str()` Returns an atomized string.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.xquery.item.Node
`bool, dbl, diff, eq, flt, itr, node, ns, u`

Methods inherited from class org.basex.query.xquery.item.Item
`castErr, comp, eval, i, info, iter, size`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, n, s`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### data

    public Data data

  Data reference.

### pre

    public int pre

  Pre value.

### root

    public Node root

  Root node (constructor).

Constructor Detail

### DNode

    public DNode(Data d,
                 int p,
                 Node r,
                 Type t)

  Constructor.

  Parameters:
    `d` - data reference
    `p` - pre value
    `r` - parent reference
    `t` - node type

Method Detail

### anc

    public NodeIter anc()

  Description copied from class: `Node`
  Returns an ancestor axis iterator.

  Specified by:
    `anc` in class `Node`
  Returns:
    iterator

### ancOrSelf

    public NodeIter ancOrSelf()

  Description copied from class: `Node`
  Returns an ancestor-or-self axis iterator.

  Specified by:
    `ancOrSelf` in class `Node`
  Returns:
    iterator

### attr

    public NodeIter attr()

  Description copied from class: `Node`
  Returns an attribute axis iterator.

  Specified by:
    `attr` in class `Node`
  Returns:
    iterator

### base

    public byte[] base()

  Description copied from class: `Node`
  Returns the database name.

  Overrides:
    `base` in class `Node`
  Returns:
    database name

### child

    public NodeMore child()

  Description copied from class: `Node`
  Returns a child axis iterator.

  Specified by:
    `child` in class `Node`
  Returns:
    iterator

### copy

    public DNode copy()

  Description copied from class: `Node`
  Creates a new copy (clone) of the node.

  Specified by:
    `copy` in class `Node`
  Returns:
    new copy

### desc

    public NodeIter desc()

  Description copied from class: `Node`
  Returns a descendant axis iterator.

  Specified by:
    `desc` in class `Node`
  Returns:
    iterator

### descOrSelf

    public NodeIter descOrSelf()

  Description copied from class: `Node`
  Returns a descendant-or-self axis iterator.

  Specified by:
    `descOrSelf` in class `Node`
  Returns:
    iterator

### diff

    public int diff(Node nod)

  Description copied from class: `Node`
  Compares two nodes for their unique order.

  Overrides:
    `diff` in class `Node`
  Parameters:
    `nod` - node to be compared
  Returns:
    result of check

### finish

    public DNode finish()

  Description copied from class: `Node`
  Returns a final node representation.

  Overrides:
    `finish` in class `Node`
  Returns:
    node

### foll

    public NodeIter foll()

  Description copied from class: `Node`
  Returns a following axis iterator.

  Specified by:
    `foll` in class `Node`
  Returns:
    iterator

### follSibl

    public NodeIter follSibl()

  Description copied from class: `Node`
  Returns a following-sibling axis iterator.

  Specified by:
    `follSibl` in class `Node`
  Returns:
    iterator

### is

    public boolean is(Node nod)

  Description copied from class: `Node`
  Compares two nodes for equality.

  Overrides:
    `is` in class `Node`
  Parameters:
    `nod` - node to be compared
  Returns:
    result of check

### name

    public byte[] name()

  Description copied from class: `Node`
  Returns the node name.

  Overrides:
    `name` in class `Node`
  Returns:
    name

### par

    public NodeIter par()

  Description copied from class: `Node`
  Returns a parent axis iterator.

  Specified by:
    `par` in class `Node`
  Returns:
    iterator

### parent

    public Node parent()

  Description copied from class: `Node`
  Returns the parent node.

  Overrides:
    `parent` in class `Node`
  Returns:
    parent node

### parent

    public void parent(Node p)

  Description copied from class: `Node`
  Sets the parent node.

  Overrides:
    `parent` in class `Node`
  Parameters:
    `p` - parent node

### prec

    public NodeIter prec()

  Description copied from class: `Node`
  Returns a preceding axis iterator.

  Specified by:
    `prec` in class `Node`
  Returns:
    iterator

### precSibl

    public NodeIter precSibl()

  Description copied from class: `Node`
  Returns a preceding-sibling axis iterator.

  Specified by:
    `precSibl` in class `Node`
  Returns:
    iterator

### qname

    public QNm qname()

  Description copied from class: `Node`
  Returns the node name.

  Overrides:
    `qname` in class `Node`
  Returns:
    name

### self

    public NodeIter self()

  Description copied from class: `Node`
  Returns an self axis iterator.

  Specified by:
    `self` in class `Node`
  Returns:
    iterator

### serElem

    public void serElem(PrintOutput out,
                        XQContext ctx,
                        int pos,
                        int level)
                 throws java.io.IOException,
                        XQException

  Serializes the specified node, starting from the specified pre value.

  Parameters:
    `out` - output stream
    `ctx` - xquery context
    `pos` - pre value
    `level` - current level
  Throws:
    `java.io.IOException` - I/O exception
    `XQException` - evaluation exception

### serElem

    public void serElem(ResultReader rr,
                        XQContext ctx,
                        int pos,
                        int level)
                 throws org.xml.sax.SAXException

  Serializes the specified node, starting from the specified pre value.

  Parameters:
    `rr` - result reader
    `ctx` - xquery context
    `pos` - pre value
    `level` - current level
  Throws:
    `org.xml.sax.SAXException` - SAX exception

### serialize

    public void serialize(PrintOutput out,
                          XQContext ctx,
                          int level)
                   throws java.io.IOException,
                          XQException

  Description copied from class: `Item`
  Serializes the item.

  Overrides:
    `serialize` in class `Item`
  Parameters:
    `out` - output stream
    `ctx` - query context
    `level` - current level
  Throws:
    `java.io.IOException` - I/O exception
    `XQException` - evaluation exception

### serialize

    public void serialize(ResultReader rr,
                          XQContext ctx,
                          int level)
                   throws org.xml.sax.SAXException

  Description copied from class: `Item`
  Serializes the item.

  Overrides:
    `serialize` in class `Item`
  Parameters:
    `rr` - content handler
    `ctx` - query context
    `level` - current level
  Throws:
    `org.xml.sax.SAXException` - SAX exception

### str

    public byte[] str()

  Description copied from class: `Expr`
  Returns an atomized string.

  Overrides:
    `str` in class `Expr`
  Returns:
    string representation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Item`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD